## kcometen4 1.0.5

=== CMakeLists.txt ===
project( kcometen4.kss )

find_package( KDE4 REQUIRED )
find_package( OpenGL REQUIRED )

set( CMAKE_INCLUDE_CURRENT_DIR TRUE )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

set ( libGLU_FIND_REQUIRED TRUE )
set ( QtOpenGL_FIND_REQUIRED TRUE )
set ( kscreensaver_FIND_REQUIRED TRUE )

find_path( KSCREENSAVER_INCLUDE_DIR kscreensaver.h ${KDE4_INCLUDE_DIR} )
find_library( KSCREENSAVER_LIBRARY NAMES kscreensaver PATHS ${KDE4_LIB_DIR} )

include( FindPackageHandleStandardArgs )
find_package_handle_standard_args( kscreensaver DEFAULT_MSG KSCREENSAVER_LIBRARY KSCREENSAVER_INCLUDE_DIR )
find_package_handle_standard_args( libGLU DEFAULT_MSG OPENGL_glu_LIBRARY OPENGL_INCLUDE_DIR )
find_package_handle_standard_args( QtOpenGL DEFAULT_MSG QT_QTOPENGL_LIBRARY QT_QTOPENGL_INCLUDE_DIR )

add_subdirectory( src )

=== src/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} )

set( kcometen4_SRCS bezier.cpp cometen3.cpp cometenmath.cpp cometenscene.cpp
     curvecomet.cpp decal.cpp explosion.cpp glow.cpp kcometen4.cpp
     kglcometen4.cpp lightning.cpp particlesystem.cpp pcomet.cpp
     rotatecomet.cpp settings.cpp vec.cpp )

kde4_add_ui_files( kcometen4_SRCS kcometen4ui.ui )

kde4_add_executable( kcometen4.kss ${kcometen4_SRCS} )

target_link_libraries( kcometen4.kss ${KDE4_KIO_LIBS} ${KSCREENSAVER_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${OPENGL_glu_LIBRARY} )

install( TARGETS kcometen4.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES lightmap.png particle.png DESTINATION ${DATA_INSTALL_DIR}/kcometen4/pixmaps )
install( FILES kcometen4.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ScreenSavers )
install( FILES kcometen4.kss.1 DESTINATION ${MAN_INSTALL_DIR}/man1 )

## kcometen4 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )
 
+set ( libGL_FIND_REQUIRED TRUE )
 set ( libGLU_FIND_REQUIRED TRUE )
 set ( QtOpenGL_FIND_REQUIRED TRUE )
 set ( kscreensaver_FIND_REQUIRED TRUE )
@@ -16,6 +17,7 @@
 
 include( FindPackageHandleStandardArgs )
 find_package_handle_standard_args( kscreensaver DEFAULT_MSG KSCREENSAVER_LIBRARY KSCREENSAVER_INCLUDE_DIR )
+find_package_handle_standard_args( libGL DEFAULT_MSG OPENGL_gl_LIBRARY OPENGL_INCLUDE_DIR )
 find_package_handle_standard_args( libGLU DEFAULT_MSG OPENGL_glu_LIBRARY OPENGL_INCLUDE_DIR )
 find_package_handle_standard_args( QtOpenGL DEFAULT_MSG QT_QTOPENGL_LIBRARY QT_QTOPENGL_INCLUDE_DIR )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 kde4_add_executable( kcometen4.kss ${kcometen4_SRCS} )
 
-target_link_libraries( kcometen4.kss ${KDE4_KIO_LIBS} ${KSCREENSAVER_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${OPENGL_glu_LIBRARY} )
+target_link_libraries( kcometen4.kss ${KDE4_KIO_LIBS} ${KSCREENSAVER_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${OPENGL_LIBRARIES} )
 
 install( TARGETS kcometen4.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
 install( FILES lightmap.png particle.png DESTINATION ${DATA_INSTALL_DIR}/kcometen4/pixmaps )

=== debian/changelog ===
kcometen4 (1.0.7-2) unstable; urgency=low

  * Update Build-Depends to fix FTBFS
  * Bump debhelper compat to version 9
  * Switch to 3.0 (quilt) source format
  * Remove obsolete Dm-Upload-Allowed field
  * Update format of debian/copyright
  * Fix description-synopsis-starts-with-article lintian warning
  * Update Standards-Version to 3.9.4
    - identify the packaging branch in the Vcs-Git field

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 05 Jun 2013 18:33:17 -0700

kcometen4 (1.0.7-1) unstable; urgency=low

  * New upstream.
  * Bump Standards-Version to 3.9.1.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 29 Jul 2010 20:47:25 -0700

kcometen4 (1.0.6-2) unstable; urgency=low

  * Add cmake to Build-Depends (Closes: #581273)
  * Bump Standards-Version to 3.8.4. No changes needed.
  * Switch to dh
  * Add a watch file and source/format 1.0

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 12 May 2010 20:32:23 -0700

kcometen4 (1.0.6-1) unstable; urgency=low

  * New upstream (Closes: #554940)
  * Bump Standards-Version to 3.8.3. No changes needed.
  * Fix a couple of lintian complaints about debian/copyright

 -- John Stamp <jstamp@users.sourceforge.net>  Sun, 08 Nov 2009 20:11:32 -0800

kcometen4 (1.0.5-1) unstable; urgency=low

  * New upstream.
  * Bump debian/compat to v7
  * Clean up formatting in debian/copyright
  * Make debian/rules more robust
  * Bump Standards-Version to 3.8.2.  No changes needed.
  * Remove unneeded Build-Depends on pkg-kde-tools
  * Add DM-Upload-Allowed: yes

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 08 Jul 2009 16:22:54 -0700

kcometen4 (1.0.4-1) unstable; urgency=low

  * New upstream.
  * debian/rules now uses pkg-kde-tools.
  * Bump Standards-Version to 3.8.1.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 20 Apr 2009 16:05:29 -0700

kcometen4 (1.0.2-1) experimental; urgency=low

  * Initial release (Closes: #441351)

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 03 Sep 2008 11:10:25 -0700

=== debian/control ===
Source: kcometen4
Section: kde
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools, kde-workspace-dev,
 libqt4-opengl-dev
Standards-Version: 3.9.4
Homepage: http://www.mehercule.net/staticpages/index.php/kcometen4
Vcs-Git: git://git.mehercule.net/kcometen4.git -b debian

Package: kcometen4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL KDE screensaver with lightning and comets
 KCometen4 is an OpenGL KDE screensaver. A variety of multi-colored comets
 bounce inside a room until they explode. Occasionally lightning will also
 strike and blow them up. Meanwhile a free-floating camera watches the action
 and sometimes enteres a "bullet time" mode.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED = yes

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- $(DEB_CMAKE_CUSTOM_FLAGS)

%:
	dh $@ --parallel --with kde

=== debian/watch ===
version=3
http://www.mehercule.net/staticpages/index.php/kcometen4/ /kcometen4/kcometen4-(.+)\.tar\.gz

## kcometen4 1.0.8

=== debian/changelog ===
kcometen4 (1.0.8-1) unstable; urgency=medium

  * New upstream (Closes: #749137)
  * Bump Standards-Version to 3.9.5.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 26 May 2014 17:52:45 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: John Stamp <jstamp@users.sourceforge.net>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools, kde-workspace-dev,
  libqt4-opengl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.mehercule.net/staticpages/index.php/kcometen4
 Vcs-Git: git://git.mehercule.net/kcometen4.git -b debian
